Requirements documentation for the dotCMS Content Management System

 

dotcms_abbr Community

dotcms_abbr Enterprise

Operating System
  • Linux
  • Windows
  • OS X
  • Linux
  • Windows Server (deprecated)
Hardware
  • Multi-Core Processor
  • 4gb RAM (Shared)
  • 100 GB HD
  • Multi-Core Commercial Processor
  • 8 GB RAM (Dedicated)
  • 100GB HD
JVM
  • Java 1.8, Oracle or OpenJDK
  • Java 1.8, Oracle or OpenJDK
Application Server
  • Tomcat 8.5+
  • Tomcat 8.5+
  • Jboss EAP 6+*
Database
  • PostgreSQL 9+
  • MySQL 5.5+
  • PostgreSQL 9+
  • MySQL 5.5+
  • MSSQL 2012+
  • Oracle 10, 11
Client Browser Evergreen versions of:
  • MS Edge
  • Chrome
  • Firefox
Evergreen versions of:
  • MS Edge
  • Chrome
  • Firefox
Authentication  
  • OAuth 2 / OpenId Connect
  • SAML
  • LDAP
  • Active Diretory / ADFS
Bold indicates our recommended environment
* Jboss EAP 6 does not support OSGi plugins that include servlets.
Jboss EAP 7 is fully supported.
** dotCMS will provide support for environments that meet these requirements.
Not all environmental combinations are tested.
If you would like to have a custom stack or setup certified for running the dotCMS platform, please see our Stack Certification Consulting Package.